[PATCH -perfbook 3/3] runlatex.sh: Detect errors in makeindex log files

Akira Yokosawa <[email protected]> Tue, 31 Mar 2026 16:59:45 +0900
Newsgroups org.kernel.vger.perfbook
Message-ID <[email protected]>
Messages of "!! Input index error" would have helped in catching
the regression caused by the hyperref change.

Signed-off-by: Akira Yokosawa <[email protected]>
---
 utilities/runlatex.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/utilities/runlatex.sh b/utilities/runlatex.sh
index 17d833ad..5346bb3b 100644
--- a/utilities/runlatex.sh
+++ b/utilities/runlatex.sh
@@ -76,6 +76,11 @@ iterate_latex () {
 		echo "----- Warning in makeindex, see .ilg log files. -----"
 		exit 1
 	fi
+	if grep -q '!! Input index error' $basename.ilg $basename-ppl.ilg $basename-api.ilg
+	then
+		echo "----- Error in makeindex, see .ilg log files. -----"
+		exit 1
+	fi
 	makeglossaries $basename > /dev/null 2>&1
 	$LATEX $LATEX_OPT $basename > /dev/null 2>&1 < /dev/null
 	exitcode=$?
-- 
2.43.0